* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --color-black: #111111;
  --padding-global: 2rem;
}

html {
  font-size: 100%;
  scroll-behavior: smooth;
}

body {
  font-family: "neue-haas-unica", sans-serif;
  font-size: 2rem;
  font-weight: 500;
  font-style: normal;
  line-height: 1.5;
  color: var(--color-black);
  background-color: white;
}

header.header--pop-art {
  color: white;
}

main.main--pop-art,
main.main--pop-art .infos-text {
  color: white;
  background-color: var(--color-black);
}

main.main--cinetique,
main.main--cinetique .infos-text {
  color: var(--color-black);
  background-color: white;
}

h1, h2, h3, h4 {
  font-weight: normal;
  font-style: normal;
  font-size: inherit;
}

a {
  text-decoration: none;
}

a:link, a:visited {
  color: inherit;
}

ul, li {
  list-style-type: none;
}

img {
  vertical-align: middle;
}

header h1 {
  position: fixed;
  top: 0;
  left: 0;
  padding-top: 1rem;
  padding-left: var(--padding-global);
  pointer-events: none;
  z-index: 1;
}

header nav {
  position: fixed;
  top: 0;
  right: 0;
  padding-top: 1rem;
  padding-right: var(--padding-global);
  z-index: 1;
}

header nav ul {
  display: flex;
  column-gap: 1em;
}

header nav li {
  padding-right: ;
}

header nav a,
.infos-btn,
.infos-text .infos-close,
.infos-contact a {
  border-bottom: 0.14em solid transparent;
  transition: border-bottom-color 0.15s;
}

header nav .active,
header nav a:hover,
.infos-btn:hover,
.infos-text .infos-close:hover,
.infos-contact a {
  border-bottom-color: currentColor;
}

.image-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
  padding: 7rem var(--padding-global) 8.2rem var(--padding-global);
}

.image-container img {
  max-width: 100%;
  max-height: 100%;
  cursor: pointer;
}

.infos-images {
  position: fixed;
  left: 0;
  bottom: 0;
  margin-bottom: 2.2rem;
  margin-left: var(--padding-global);
  padding-right: 12rem;
  display: flex;
  flex-wrap: wrap;
  column-gap: 1em;
}

.infos-btn,
.infos-text .infos-close {
  position: fixed;
  right: 0;
  bottom: 0;
  margin-bottom: 2rem;
  margin-right: var(--padding-global);
  cursor: pointer;
}

.infos-text {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  padding: 4rem var(--padding-global) 8rem var(--padding-global);
  overflow: scroll;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
}

.infos-text.active {
  opacity: 1;
  visibility: visible;
}

.infos-text p {
  max-width: 75rem;
  padding-right: 12rem;
  padding-bottom: 1em;
}

.infos-contact p {
  padding-bottom: 3em;
}

.legals {
  font-size: 0.5em;
  padding-top: 3rem;
  max-width: 60rem;
}

.legals a {
  text-decoration: underline;
}

@media all and (max-width: 64em) {
  header nav {
    z-index: 0;
  }
  .infos-text p {
    max-width: 55rem;
    padding-right: 0;
  }
  .infos-text .infos-close {
    bottom: auto;
    top: 0;
    margin-top: 1rem;
    margin-bottom: 0;
  }
}
@media all and (max-width: 47em) {
  body {
    font-size: 1.5rem;
  }
  .category {
    padding: 4rem 0 7rem 0;
  }
  .image-container {
    height: auto;
    padding: 3rem var(--padding-global);
  }
  .image-container img {
    max-width: 100%;
    max-height: calc(100vh - 15rem);
    cursor: pointer;
  }
  .infos-images {
    padding-right: 9rem;
    margin-bottom: 1rem;
  }
  .infos-btn {
    margin-bottom: 0.8rem;
  }
  .infos-text {
    padding: 3.3rem var(--padding-global) 1rem var(--padding-global);
  }
}
@media all and (max-width: 35em) {
  header nav {
    top: 0;
    right: auto;
    left: 0;
    padding: 3.3rem var(--padding-global) 0 var(--padding-global);
  }
  .category {
    padding: 6rem 0 7rem 0;
  }
  .infos-btn {
    bottom: auto;
    top: 0;
    margin-top: 1rem;
    margin-bottom: 0;
  }
  .infos-images {
    padding-right: 0;
  }
}
@media all and (max-width: 26em) {
  :root {
    --padding-global: 1rem;
  }
  body {
    font-size: 1.3rem;
  }
  header nav {
    padding: 3rem var(--padding-global) 0 var(--padding-global);
  }
  .category {
    padding: 6rem 0 5rem 0;
  }
  .image-container {
    padding: 2rem var(--padding-global);
  }
  .infos-text {
    padding: 3rem var(--padding-global) 1rem var(--padding-global);
  }
}